summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuilherme Amadio <amadio@gentoo.org>2019-05-07 08:59:49 +0200
committerGuilherme Amadio <amadio@gentoo.org>2019-05-07 08:59:49 +0200
commit466a92ce3a5368722c93b01e35511d7a16b56a54 (patch)
treed9bd4aed37a24d576dd674921544b6ae57556a22 /dev-libs/xxhash
parentsci-physics/root: update dependencies for afterstep removal (diff)
downloadgentoo-466a92ce3a5368722c93b01e35511d7a16b56a54.tar.gz
gentoo-466a92ce3a5368722c93b01e35511d7a16b56a54.tar.bz2
gentoo-466a92ce3a5368722c93b01e35511d7a16b56a54.zip
dev-libs/xxhash: bump version to 0.7.0
Closes: https://bugs.gentoo.org/684136 Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Guilherme Amadio <amadio@gentoo.org>
Diffstat (limited to 'dev-libs/xxhash')
-rw-r--r--dev-libs/xxhash/Manifest1
-rw-r--r--dev-libs/xxhash/xxhash-0.7.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-libs/xxhash/Manifest b/dev-libs/xxhash/Manifest
index f0c4cf5542c..86d4092ba89 100644
--- a/dev-libs/xxhash/Manifest
+++ b/dev-libs/xxhash/Manifest
@@ -1 +1,2 @@
DIST xxhash-0.6.5.tar.gz 37521 BLAKE2B cfd4268bdb9079108c436c057f37c1c23a13a89f8a3d6c936ab27d3b339dbca3fa88e8ddc4fc9878501d6875622edd2ba50f465b4c361f1eb42d8f7a8f8a6fbd SHA512 085643b52e091ac0eedd54c4459220b3643d825ca71a11e952d00ea2041c570ff57d8553d0378f34e038ca9ee3b40d2048ed02d44d5aff1fbfcbf5e642487ba0
+DIST xxhash-0.7.0.tar.gz 52372 BLAKE2B e59a80ab3970f4830d0de17d3c91de1049fd671dba777d143fae2cf372970c717b6b586bfaca13c49c7dd2f57257d41ebad500632f25bc47125570ed715a47fa SHA512 2d7a06a5cabc945ac841df4451a744f0a666e4afcce77f5eea70bd68547ac46ebf776dd0e3645ef0204c7ff1dea3f5ff8228a8d9894dae0077f865ffdc123c66
diff --git a/dev-libs/xxhash/xxhash-0.7.0.ebuild b/dev-libs/xxhash/xxhash-0.7.0.ebuild
new file mode 100644
index 00000000000..382d4b60dd1
--- /dev/null
+++ b/dev-libs/xxhash/xxhash-0.7.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Extremely fast non-cryptographic hash algorithm"
+HOMEPAGE="http://www.xxhash.com"
+SRC_URI="https://github.com/Cyan4973/xxHash/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x64-macos"
+IUSE="static-libs"
+
+S="${WORKDIR}/xxHash-${PV}"
+
+src_compile() {
+ PREFIX="${EPREFIX}/usr" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ emake AR="$(tc-getAR)" CC="$(tc-getCC)"
+}
+
+src_install() {
+ PREFIX="${EPREFIX}/usr" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ MANDIR="${EPREFIX}/usr/share/man/man1" \
+ emake DESTDIR="${D}" install
+
+ if ! use static-libs ; then
+ rm "${ED}"/usr/$(get_libdir)/libxxhash.a || die
+ fi
+}